Website Formular funktioniert nicht mehr

  • Ich habe nun schon etliche Forumsbeiträge zu dem Thema durchforstet, allerdings noch keine Lösung für mein Problem finden können.

    Ich nutze seit geraumer Zeit Zeta Producer 13.3.0 und bin auch sehr zufrieden. Allerdings funktionieren die Kontaktformulare nicht mehr, egal was ich auch versuche, es bringt keine Lösung, ich lande immer auf "HTTP 500-Fehler".

    PHP Version habe ich mit IONOS abgeklärt, das scheint alles zu passen. Ich weiß hier nicht mehr weiter und hoffe auf Antwort und Lösungsansätzen.


    Danke schon mal!

  • Steffen T.

    Hat das Thema freigeschaltet
  • Hallo,


    eine Ursache könnte die PHP-Version 7.3 sein, welche derzeit aktiv ist. Die Formulare von ZP 13 sind mit dieser PHP-Version nicht kompatibel. Sie könnten also entweder eine ältere PHP-Version aktivieren (falls der Provider das zulässt, zwecks Sicherheit und so) und dann testen, ob es sich besser verhält oder mal die aktuelle Version 15 von Zeta Producer runterladen und installieren. Die Formulare von ZP 15 sind jedenfalls mit PHP 7.3 kompatibel.


    ZP 15 wird übrigens parallel installiert und Sie können auch erst mal die Home-Version (Freeware) testen. Sie könnten dann Ihr Projekt nach Version 15 übernehmen. Das Projekt der Version 13 bleibt dabei unberührt. Trotzdem sollten Sie vor solchen Aktionen immer ein Backup des Projekts erstellen. Wie Sie das Projekt übernehmen steht hier: https://docs.zeta-producer.com/projektuebernahme.html


    Falls es mit ZP 15 besser funktioniert, dann können Sie über unseren Update-Shop auf eine Lizenz der Version 15 aktualisieren. Siehe https://www.zeta-producer.com/de/shop-update.html

    Freundliche Grüße
    Steffen T. (Zeta Producer-Support)

  • ich habe auf PHP 7.2 zurück gestellt, allerdings mit dem gleichen Ergebnis. Würde ungern wegen den Kontaktformularen auf ZP 15 upgraden, weil es mit deutlichen Kosten verbunden ist.

  • Hallo Andy,


    PHP 7.2 wurde erst am 30. November 2017 veröffentlicht, das letzte Update für Zeta 13.3.0 erfolgte am 13. Februar 2017, also 9 Monate vorher. Die einzig "kompatible" PHP-Version wäre die 7.1, welche im Dezember 2016 (also während der aktiven Zeit von Zeta 13.3) veröffentlicht wurde. Diese sollte sich bei Ionos auch noch einstellen lassen.


    Hinweis: PHP 7.1 wird nicht mehr aktiv unterstützt und erhält nur noch bis zum 1. Dezember 2019 einen Sicherheits-Support.

  • ok, mit PHP 7.1 funktioniert das Kontaktformular wieder. Den Rest muss ich mir dann mal reiflich überlegen. Ist ein Upgrade von ZP13 auf ZP15 zwangsläufig mit Kosten verbunden? Der Update-Shop lifert doch einen stolzen Betrag dafür...